summaryrefslogtreecommitdiffstats
path: root/target/linux/rb532/base-files
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2007-09-06 16:27:37 +0000
committerFelix Fietkau <nbd@openwrt.org>2007-09-06 16:27:37 +0000
commit56231056ea784f1cec6450f649b1adaed1f56366 (patch)
tree7b130d72d854cde2bcd3af8b11bd0f7be3dbff6a /target/linux/rb532/base-files
parente1184aaa1a7a5e5eeef8e072bf0ea98c291be22a (diff)
downloadmaster-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.tar.gz
master-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.tar.bz2
master-31e0f0ae-56231056ea784f1cec6450f649b1adaed1f56366.zip
strip the kernel version suffix from target directories, except for brcm-2.4 (the -2.4 will be included in the board name here). CONFIG_LINUX_<ver>_<board> becomes CONFIG_TARGET_<board>, same for profiles.
SVN-Revision: 8653
Diffstat (limited to 'target/linux/rb532/base-files')
-rw-r--r--target/linux/rb532/base-files/default/etc/config/network12
-rw-r--r--target/linux/rb532/base-files/default/etc/diag.sh19
-rwxr-xr-xtarget/linux/rb532/base-files/default/sbin/cf2nand62
-rwxr-xr-xtarget/linux/rb532/base-files/default/sbin/wget2nand65
4 files changed, 158 insertions, 0 deletions
diff --git a/target/linux/rb532/base-files/default/etc/config/network b/target/linux/rb532/base-files/default/etc/config/network
new file mode 100644
index 0000000000..8279690574
--- /dev/null
+++ b/target/linux/rb532/base-files/default/etc/config/network
@@ -0,0 +1,12 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option ifname eth0
+ option proto dhcp
+
diff --git a/target/linux/rb532/base-files/default/etc/diag.sh b/target/linux/rb532/base-files/default/etc/diag.sh
new file mode 100644
index 0000000000..d8f9a88257
--- /dev/null
+++ b/target/linux/rb532/base-files/default/etc/diag.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Copyright (C) 2007 OpenWrt.org
+
+set_led() {
+ local led="$1"
+ local state="$2"
+ [ -d "/sys/class/leds/rb500led:$led" ] && echo "$state" > "/sys/class/leds/rb500led:$led/brightness"
+}
+
+set_state() {
+ case "$1" in
+ preinit)
+ set_led amber 1
+ ;;
+ done)
+ set_led amber 0
+ ;;
+ esac
+}
diff --git a/target/linux/rb532/base-files/default/sbin/cf2nand b/target/linux/rb532/base-files/default/sbin/cf2nand
new file mode 100755
index 0000000000..fb3717499b
--- /dev/null
+++ b/target/linux/rb532/base-files/default/sbin/cf2nand
@@ -0,0 +1,62 @@
+#!/bin/sh
+. /etc/functions.sh
+
+copy_kernel() {
+ local input="$1"
+ local output="$2"
+ local cmdline="$3"
+ size="$(echo -n "$cmdline" | wc -c)"
+ dd if="$input" bs=3M count=1 > "$output"
+ /sbin/patch-cmdline "$output" "$cmdline"
+}
+
+fstype="$(mount | grep ' / ' | awk '$5 != "rootfs" {print $5}')"
+case "$fstype" in
+ ext2|jffs2) echo "Copying from $fstype to yaffs2";;
+ *) echo "Invalid filesystem."; exit 1;;
+esac
+
+[ -d /tmp/cf2nand ] && {
+ echo "/tmp/cf2nand already exists"
+ exit 1
+}
+
+mkdir /tmp/cf2nand
+mkdir /tmp/cf2nand/rootfs
+mount -t "$fstype" /dev/root /tmp/cf2nand/rootfs || {
+ echo "Mounting rootfs failed."
+ exit 1
+}
+
+boot="$(find_mtd_part 'RouterBoard NAND Boot')"
+main="$(find_mtd_part 'RouterBoard NAND Main')"
+[ -z "$boot" -o -z "$main" ] && {
+ echo "Cannot find NAND Flash partitions"
+ exit 1
+}
+
+echo "Erasing filesystem..."
+mtd erase Boot 2>/dev/null >/dev/null
+mtd erase Main 2>/dev/null >/dev/null
+
+mkdir /tmp/cf2nand/p1
+mkdir /tmp/cf2nand/p2
+mount -t yaffs2 "$boot" /tmp/cf2nand/p1
+mount -t yaffs2 "$main" /tmp/cf2nand/p2
+
+echo "Copying kernel..."
+copy_kernel /dev/cf/card0/part1 /tmp/cf2nand/p1/kernel "root=/dev/mtdblock1 rootfstype=yaffs2 init=/etc/preinit " 2>/dev/null >/dev/null
+umount /tmp/cf2nand/p1
+rmdir /tmp/cf2nand/p1
+
+echo "Copying filesystem..."
+( cd /tmp/cf2nand/rootfs; tar c . ) | ( cd /tmp/cf2nand/p2; tar x )
+echo "chmod ugo+x /" > /tmp/cf2nand/p2/etc/uci-defaults/set_root_permission
+sync
+umount /tmp/cf2nand/p2
+rmdir /tmp/cf2nand/p2
+
+umount /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand/rootfs
+rmdir /tmp/cf2nand
+
diff --git a/target/linux/rb532/base-files/default/sbin/wget2nand b/target/linux/rb532/base-files/default/sbin/wget2nand
new file mode 100755
index 0000000000..67e4a94a81
--- /dev/null
+++ b/target/linux/rb532/base-files/default/sbin/wget2nand
@@ -0,0 +1,65 @@
+#!/bin/sh
+# wget2nand
+# This script can be used to download a TGZ file from your build system which
+# contains the files to be installed on the NAND flash on your RB1xx card.
+# The one parameter is the URL of the TGZ file to be downloaded.
+# Licence GPL V2
+# Author david.goodenough@linkchoose.co.uk
+# Based on cf2nand from RB532 support
+. /etc/functions.sh
+
+[ -d /tmp/wget2nand ] && {
+ echo "/tmp/wget2nand already exists"
+ exit 1
+}
+
+# first get an address for br-lan using udhcpc
+killall udhcpc
+/sbin/udhcpc -i br-lan
+
+# need to find the wget server from the command line
+url=$1
+[ -z "$url" ] && {
+ echo "No URL specified for image TGZ"
+ echo "Usage : $0 URL"
+ exit 1
+}
+
+boot="$(find_mtd_part 'RouterBoard NAND Boot')"
+main="$(find_mtd_part 'rootfs')"
+[ -z "$boot" -o -z "$main" ] && {
+ echo "Cannot find NAND Flash partitions"
+ exit 1
+}
+
+echo "Erasing filesystem."
+mtd erase Boot 2>/dev/null >/dev/null
+mtd erase Main 2>/dev/null >/dev/null
+
+echo "Mounting $main as new root and $boot as boot partition"
+
+mkdir /tmp/wget2nand/
+mkdir /tmp/wget2nand-boot
+mount -t yaffs2 "$main" /tmp/wget2nand/
+mount -t yaffs2 "$boot" /tmp/wget2nand-boot
+
+echo "Copying filesystem..."
+( wget -O - $url/openwrt-rb532-2.6-rootfs.tgz) | ( cd /tmp/wget2nand/; tar xvz )
+wget -O /tmp/wget2nand-boot/kernel $url/openwrt-rb532-2.6-vmlinux
+
+# No need to patch the kernel, this was done during the build process
+chmod +x /tmp/wget2nand-boot/kernel
+
+# make sure everything is written before we unmount the partitions
+echo "chmod ugo+x /" > /tmp/wget2nand/etc/uci-defaults/set_root_permission
+sync
+ls /tmp/wget2nand-boot/
+ls /tmp/wget2nand/
+# unmount the partitions and remove the directories into which they were mounted
+umount /tmp/wget2nand-boot
+umount /tmp/wget2nand
+rmdir /tmp/wget2nand-boot
+rmdir /tmp/wget2nand
+
+# all done
+echo "Image written, you can now reboot. Remember to change the boot source to Boot from Nand"